Search for operations by TX hash
Type
Description
Direction
Description
{
"id": "cf95ea41-20c5-4528-b689-c21f4da6359f", // address identifier
"type": "PAY_IN" // address type: PAY_IN, PERSONAL, PAY_OUT, BUSINESS, RECURRENT
}
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request to search for operations on the tx hash
txstringOptional
Transaction ID in the blockchain
Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/find-tx
POST /api-gateway/find-tx HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 9
{
"tx": ""
}200Success
{
"success": true,
"response": [
{
"type": "IN",
"source": "ORDER",
"address": "",
"result": {
"id": "c675644e-e1ab-4690-9380-9ef945cc0bc4",
"addressId": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
"currency": "USDT",
"network": "ethereum",
"tx": "0xb502e6ba8745a99f3484d75c027c55cacc26d6342b3a129f97d802899435ef12",
"status": "pending",
"address": "0x00000005707bf50efa35a2db020ede9ac08ae226",
"tag": null,
"amount": "123.12",
"feeCurrency": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
"feeSource": "advanced_balance",
"feeAmount": "1.12",
"createdAt": "2026-01-29T11:14:13.701Z"
}
}
]
}Last updated